package top.qaqaq.web;

import jakarta.servlet.ServletException;
import jakarta.servlet.http.HttpServlet;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;

import java.io.IOException;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;

/**
 * @author RichieZhang
 * @create 2022-12-10 下午 12:28
 */
public abstract class BaseServlet extends HttpServlet {

    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
//        super.doGet(req, resp);

        doPost(req,resp);
    }

    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
//        super.doPost(req, resp);

        String action = req.getParameter("action");

//        System.out.println(acction);

        //方法一：写一个方法判断一次
//        if ("login".equals(action)) {
//            //System.out.println("处理登录的需求");
//            login(req,resp);
//        } else if ("regist".equals(action)) {
//            //System.out.println("处理注册的需求");
//            regist(req,resp);
//        }

        //方法二：通过反射动态获取
        try {
            // 通过action业务鉴别字符串，获取相应的业务 方法反射对象
            Method method = this.getClass().getDeclaredMethod(action, HttpServletRequest.class, HttpServletResponse.class);

//            System.out.println(method);

            // 调用目标业务 方法
            method.invoke(this,req,resp);
        } catch (InvocationTargetException e) {
            e.printStackTrace();
        } catch (NoSuchMethodException e) {
            e.printStackTrace();
        } catch (IllegalAccessException e) {
            e.printStackTrace();
        }
    }
}
