package top.qaqaq.web;

import jakarta.servlet.ServletException;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;
import top.qaqaq.pojo.Cart;
import top.qaqaq.pojo.User;
import top.qaqaq.service.OrderService;
import top.qaqaq.service.impl.OrderServiceImpl;

import java.io.IOException;

/**
 * @author RichieZhang
 * @create 2022-12-14 下午 6:29
 */
public class OrderServlet extends BaseServlet{

    private OrderService orderService = new OrderServiceImpl();

    /**
     * 生成订单
     * @param req
     * @param resp
     * @throws ServletException
     * @throws IOException
     */
    protected void createOrder(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        // 先获取Cart购物车对象
        Cart cart = (Cart) req.getSession().getAttribute("cart");
        // 获取Userid
        User loginUser = (User) req.getSession().getAttribute("user");

        if (loginUser == null) {
            req.getRequestDispatcher("/pages/user/login.jsp").forward(req,resp);
            return;
        }

        Integer userId = loginUser.getId();
        // 调用orderService.createOrder(Cart,Userid);生成订单
        String orderId = orderService.createOrder(cart, userId);

/*        req.setAttribute("orderId",orderId);

        // 请求转发到/pages/cart/checkout.jsp
        req.getRequestDispatcher("/pages/cart/checkout.jsp").forward(req,resp);*/

        req.getSession().setAttribute("orderId",orderId);

        resp.sendRedirect(req.getContextPath() + "/pages/cart/checkout.jsp");

    }
}
